- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::EdgeListBuilder::Geometry Struct Reference

A set of indexed geometry data. More...

`#include <OgreEdgeListBuilder.h>`

List of all members.

## Public Attributes
size_t | vertexSet
size_t | indexSet
const IndexData * | indexData
RenderOperation::OperationType | opType

## Detailed Description

A set of indexed geometry data.

Definition at line 205 of file OgreEdgeListBuilder.h.

## Member Data Documentation

size_t Ogre::EdgeListBuilder::Geometry::vertexSet

Definition at line 206 of file OgreEdgeListBuilder.h.

Referenced by Ogre::EdgeListBuilder::geometryLess::operator()().

size_t Ogre::EdgeListBuilder::Geometry::indexSet

Definition at line 207 of file OgreEdgeListBuilder.h.

Referenced by Ogre::EdgeListBuilder::geometryLess::operator()().

const IndexData* Ogre::EdgeListBuilder::Geometry::indexData

Definition at line 208 of file OgreEdgeListBuilder.h.

RenderOperation::OperationType Ogre::EdgeListBuilder::Geometry::opType

Definition at line 209 of file OgreEdgeListBuilder.h.

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:33 2008